#!/usr/bin/perl
use strict;
use warnings;
my @filenames = glob("*.tre");
foreach my $filename (@filenames) {
  next unless $filename=~m/(?<file>.*).tre/gi;
  my $id=$+{file};
  open (IN, $filename) or die "can't open the file $filename:$!";
  while (my $content=<IN>) {
	   chomp $content;
	   my $n=1;
	    while( $content=~s/\)\:([\d+\.]+)/)I$n\:$1/){print " $id\tI$n\n";$n++;}
		my $outputs= "${id}_IBlabeled.itol";
        open (OUTPUT,">>", $outputs) or die "Can't write the file $outputs: $!";
        print OUTPUT "$content\n";
	    close OUTPUT;
		 next unless $content=~s/:\d+\.\d+\[[\d+\.-]+\]//g;
		 $content=~s/:\d+\.\d+|:\d+//g;
		my $out= "${id}_IBlabeled.newick";
        open (OUT,">>", $out) or die "Can't write the file $out: $!";
        print OUT "$content\n";
	    close OUT;
  }
  close IN;
}
