#!/usr/bin/perl
use strict;
use warnings;
use Bio::Phylo::IO;
my %hash;
my $file = "Pezizomycotina_Saccharomycotina_rate_GC_genome_size_genes__DNA_repair_tRNAs_dN2dS_small.txt";
open (IN, $file) or die "Can't open the file $file: $!";
while (my $content=<IN>) { 
      chomp $content;
	  my @cols=split(/\t/,$content);
	  unless ($cols[0] eq "subphylum") {push @{$hash{$cols[1]}}, $cols[0];}
}
close IN;


#my  $treefile="1113taxa_815genes_Saccharomycotina_only_run3_ML_rooted.tre";
my $treefile="1113taxa_815genes_ml_rooted.tree";
my $forest = Bio::Phylo::IO->parse(-format => 'newick',-file => "$treefile",-internal_node_id => 'bootstrap');
my $treeobj = $forest->first;

   my @taxa_kept=keys %hash;
   


	  # print "$key\t",scalar @taxa_kept,"\n";
	      my $outputs= "Saccharomycotina_Pezizomycotina_815genes_ml_root.tre";
   open (OUTPUT,">>", $outputs) or die "Can't open the file $outputs: $!";
     #my $pruned_tree= $treeobj->prune_tips(\@taxa_pruned)->to_newick;
     my $kept_tree= $treeobj->keep_tips(\@taxa_kept)->to_newick;
     #$kept_tree=~s/(.*?\))(:\d+\.\d+);/\($1,root$2\);/g;


     print OUTPUT "$kept_tree\n";
     close OUTPUT;

 # unless($key eq "Saccharomycotina") {my $kept_tree= $treeobj->keep_tips(\@taxa_kept)->to_newick;print OUTPUT "$kept_tree\n";}
	
